Bug 128353 - Hack in /usr/bin/mozilla doesn't hack on x86_64
Hack in /usr/bin/mozilla doesn't hack on x86_64
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-21 21:06 EDT by Sam Varshavchik
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:33:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2004-07-21 21:06:03 EDT
Description of problem:

I direct your attention to the following fragment from the
/usr/bin/mozilla script:

    # export this temporarily - it seems to work with old and new
    # versions of the JVM.
    export LD_ASSUME_KERNEL=2.2.5
                                                                     
          
    # get the version
    JVM_VERSION=`$JVM_COMMAND -version 2>&1 | grep version | cut -f 3
-d " " | sed -e 's/\"//g'`
                                                                     
          
    unset LD_ASSUME_KERNEL

This breaks on x86_64.

Even though LD_ASSUME_KERNEL may or may not do something useful with
the java binary itself, this environment variable is also inherited by
the 'grep', 'sed', and 'cut' commands, which causes problems with them:

$ mozilla
grep: error while loading shared libraries: libc.so.6: cannot open
shared object file: No such file or directory
sed: error while loading shared libraries: libc.so.6: cannot open
shared object file: No such file or directory
cut: error while loading shared libraries: libc.so.6: cannot open
shared object file: No such file or directory

Suggested alternative:

    JVM_VERSION=`(LD_ASSUME_KERNEL=2.2.5 $JVM_COMMAND -version 2>&1) |
grep version | cut -f 3 -d " " | sed -e 's/\"//g'`
                                                                     
          
Actually, the whole thing should be dropped on x86_64, AFAIK jvm 1.3.0
 predates x86_64.
Comment 1 Matthew Miller 2005-04-26 11:58:43 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-28 13:33:59 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.  If it still
occurs on FC5 or FC6, please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.